Subject: Re: [PATCH net-next] sch_cake: Take into account guideline DEF/DGSIC/36 from French Administration

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 28 Mar 2022 17:43:46 +0200

Christophe Leroy <[email-masked]> writes:

> French Administration has written a guideline that defines additional
> DSCP values for use in its networks.

Huh, that's interesting!

> Add new CAKE diffserv tables to take those new values into account
> and add CONFIG_NET_SCH_CAKE_DGSIC to select those tables instead of
> the default ones.

...however I don't think we should be including something this
special-purpose into the qdisc kernel code, and certainly we shouldn't
have a config option that changes the meaning of the existing diffserv
keywords!

Rather, this is something that is best specified from userspace; and in
fact Cake already has no less than two different ways to do this: the
'fwmark' option, and setting the skb->priority field. Have you tried
using those?

-Toke